Name:          microsoft-gsl
Version:       4.0.0
Release:       2mamba
Summary:       Functions and types that are suggested for use by the C++ Core Guidelines maintained by the Standard C++ Foundation
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/microsoft/GSL
Source:        https://github.com/microsoft/GSL.git/v%{version}/GSL-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
The Guidelines Support Library (GSL) contains functions and types that are suggested for use by the C++ Core Guidelines maintained by the Standard C++ Foundation. This repo contains Microsoft's implementation of GSL.
The entire implementation is provided inline in the headers under the gsl directory. The implementation generally assumes a platform that implements C++14 support.
While some types have been broken out into their own headers (e.g. gsl/span), it is simplest to just include gsl/gsl and gain access to the entire library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

#% debug_package

%prep
%setup -q -n GSL-%{version}

%build
%cmake -d build \
   -DCMAKE_INSTALL_INCLUDEDIR=%{_includedir}/microsoft \
   -DGSL_TEST=OFF

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/microsoft
%dir %{_includedir}/microsoft/gsl
%{_includedir}/microsoft/gsl/*
%dir %{_datadir}/cmake/Microsoft.GSL
%{_datadir}/cmake/Microsoft.GSL/Microsoft.GSLConfig*.cmake
%doc LICENSE

%changelog
* Thu Apr 28 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.0-2mamba
- install below %_includedir/microsoft to avoid conflicts with libgsl

* Thu Jan 27 2022 Automatic Build System <autodist@mambasoft.it> 4.0.0-1mamba
- automatic version update by autodist

* Thu Dec 24 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.0-1mamba
- package created using the webbuild interface
